require 'em-websocket-client'
require 'ostruct'
require 'json'

require 'myo/version'
require 'myo/band'

module Myo
  API_VERSION = 3
  SOCKET      = "ws://127.0.0.1:10138/myo/#{API_VERSION}"

  def self.connect
    band = Band.new(SOCKET)
    yield(band)
    band.run
  end
end
